com.independentsoft.exchange

## Class IndexedPageView

- java.lang.Object
- - com.independentsoft.exchange.View
  - - com.independentsoft.exchange.PageView
    - - com.independentsoft.exchange.IndexedPageView

-     public class IndexedPageView
      extends PageView

  Describes how paged item information is returned for a FindItem request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedPageView()` Initializes a new instance of the IndexedPageView class.
    `IndexedPageView(int offset)` Initializes a new instance of the IndexedPageView class.
    `IndexedPageView(int offset, IndexBasePoint basePoint)` Initializes a new instance of the IndexedPageView class.
    `IndexedPageView(int offset, IndexBasePoint basePoint, int maxEntriesReturned)` Initializes a new instance of the IndexedPageView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexBasePoint` | `getBasePoint()` Gets whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
    `int` | `getOffset()` Gets the offset from the BasePoint.
    `void` | `setBasePoint(IndexBasePoint basePoint)` Sets whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
    `void` | `setOffset(int offset)` Sets the offset from the BasePoint.

    - ### Methods inherited from class com.independentsoft.exchange.View

      `getMaxEntriesReturned, setMaxEntriesReturned`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedPageView

          public IndexedPageView()

      Initializes a new instance of the IndexedPageView class.

    - #### IndexedPageView

          public IndexedPageView(int offset)

      Initializes a new instance of the IndexedPageView class.
      Parameters:
        `offset` - the offset

    - #### IndexedPageView

          public IndexedPageView(int offset,
                                 IndexBasePoint basePoint)

      Initializes a new instance of the IndexedPageView class.
      Parameters:
        `offset` - the offset
        `basePoint` - the base point

    - #### IndexedPageView

          public IndexedPageView(int offset,
                                 IndexBasePoint basePoint,
                                 int maxEntriesReturned)

      Initializes a new instance of the IndexedPageView class.
      Parameters:
        `offset` - the offset
        `basePoint` - the base point
        `maxEntriesReturned` - the max entries returned

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Gets the offset from the BasePoint. If BasePoint is equal to Beginning, the offset is positive.
      Returns:
        the offset

    - #### setOffset

          public void setOffset(int offset)

      Sets the offset from the BasePoint. If BasePoint is equal to Beginning, the offset is positive.
      Parameters:
        `offset` - the new offset

    - #### getBasePoint

          public IndexBasePoint getBasePoint()

      Gets whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
      Returns:
        the base point

    - #### setBasePoint

          public void setBasePoint(IndexBasePoint basePoint)

      Sets whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria.
      Parameters:
        `basePoint` - the new base point